# Scenarios
There are a number of maintenance jobs that should be put in place to ensure DSS runs smoothly in production environments. The maintenance jobs are available as prebuilt macros in DSS. The Admin Projects includes a pre-configured scenario ready for use.

The following jobs are included in the [Maintenance Jobs](scenario:MAINTENANCEJOBS) scenario in the `Dataiku Admin` project:
  - [Clear Job Logs](https://knowledge.dataiku.com/latest/admin-operating/project-maintenance/index.html#clear-job-logs)
  - [Clear Scenario Logs](https://knowledge.dataiku.com/latest/admin-operating/project-maintenance/index.html#clear-scenario-run-logs)
  - [Kill Idle Jupyter Sessions](https://knowledge.dataiku.com/latest/admin-operating/project-maintenance/index.html#kill-jupyter-sessions)

Setting these up will ensure old and uneeded log files are deleted so as not to not eat up diskspace. By default, DSS is setup to keep all logs.

**NOTE: Out of the box, these steps are configured to delete logs after 15 days and Jupyter sessions after 4 hours of idle time. Adjust these settings as necessary according to your needs.**

## Steps
1. Navigate to the [Maintenance Jobs](scenario:MAINTENANCEJOBS) scenario
2. Select Settings and turn `auto-triggers` on. Verify that the scenario runs every two hours
![Scenario_Trigger.png](BrRuPdBsySos)
3. You can view the step details in the scenario by selecting `Steps` and then selecting the step on left.
![Step Details.png](w8Tr1f5y66j1)


